
Infrastructure - Task #1219

Story # 1218 (Closed): Operations with invalid parameters should receive error messages

Create integration tests for checking error responses

2011-01-12 20:07 - Dave Vieglais

Status: Closed Start date: 2011-01-12

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2011.26-Block.4   

Milestone:  Story Points:  

Product Version: *   

Description

ensure integration tests include deliberately erroneous calls to check the nodes are returning errors when necessary.

History

#1 - 2011-01-12 23:15 - Rob Nahf

- Category set to d1_cn_service

- Status changed from New to In Progress

- Assignee set to Rob Nahf

- Target version set to Sprint-2011.02

#2 - 2011-01-15 00:03 - Rob Nahf

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Created CNRestURLTest.java  in d1_integration package to test error responses from the CN independent of d1_libclient_java.  Not all tests passing.
